# AP4_InitialObjectDescriptor Class Reference

`#include <Ap4ObjectDescriptor.h>`

Inheritance diagram for AP4_InitialObjectDescriptor:

List of all members.

## Public Member Functions
| AP4_InitialObjectDescriptor (AP4_ByteStream &stream, AP4_UI08 tag, AP4_Size header_size, AP4_Size payload_size)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
bool | GetIncludeProfileLevelFlag () const
AP4_UI08 | GetOdProfileLevelIndication () const
AP4_UI08 | GetSceneProfileLevelIndication () const
AP4_UI08 | GetAudioProfileLevelIndication () const
AP4_UI08 | GetVisualProfileLevelIndication () const
AP4_UI08 | GetGraphicsProfileLevelIndication () const

## Detailed Description

Definition at line 89 of file Ap4ObjectDescriptor.h.

## Constructor & Destructor Documentation

AP4_InitialObjectDescriptor::AP4_InitialObjectDescriptor | ( | AP4_ByteStream & | stream,
|  | AP4_UI08 | tag,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  |

## Member Function Documentation

virtual AP4_Result AP4_InitialObjectDescriptor::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Reimplemented from AP4_ObjectDescriptor.

virtual AP4_Result AP4_InitialObjectDescriptor::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_ObjectDescriptor.

bool AP4_InitialObjectDescriptor::GetIncludeProfileLevelFlag | ( |  | ) | const`[inline]`

Definition at line 101 of file Ap4ObjectDescriptor.h.

AP4_UI08 AP4_InitialObjectDescriptor::GetOdProfileLevelIndication | ( |  | ) | const`[inline]`

Definition at line 102 of file Ap4ObjectDescriptor.h.

AP4_UI08 AP4_InitialObjectDescriptor::GetSceneProfileLevelIndication | ( |  | ) | const`[inline]`

Definition at line 103 of file Ap4ObjectDescriptor.h.

AP4_UI08 AP4_InitialObjectDescriptor::GetAudioProfileLevelIndication | ( |  | ) | const`[inline]`

Definition at line 104 of file Ap4ObjectDescriptor.h.

AP4_UI08 AP4_InitialObjectDescriptor::GetVisualProfileLevelIndication | ( |  | ) | const`[inline]`

Definition at line 105 of file Ap4ObjectDescriptor.h.

AP4_UI08 AP4_InitialObjectDescriptor::GetGraphicsProfileLevelIndication | ( |  | ) | const`[inline]`

Definition at line 106 of file Ap4ObjectDescriptor.h.

The documentation for this class was generated from the following file:

- Ap4ObjectDescriptor.h